# overcast

**overcast** is a tool for managing non-Steam games, known internally as "shortcuts", via the command-line. This tool is intended to be used with the Steam Deck, and support on other platforms should not be expected.

## How to Use

The end goal is for overcast to be managed via a GUI. In the meantime, the info provided by `overcast --help` should get you started:

```
Usage: overcast <command> [<args>]

Manage non-Steam games

Options:
  --help            display usage information

Commands:
  add               add a new shortcut
  list              list all shortcuts
```

### Adding a new shortcut

When adding a new game, you are required to provide its name as will be shown in your Steam library, and the command to launch it.

```
overcast add -n "My Cool Game" \
    /home/flurry/Games/my_cool_game/launch.sh --fullscreen
```

You may also want to set the starting directory, since most Linux launcher scripts expect to be in the same directory.

```
overcast add -n "My Cool Game" \
    --start-dir /home/flurry/Games/my_cool_game \
    /home/flurry/Games/my_cool_game/launch.sh --fullscreen
```

### Listing shortcuts

`overcast list` provides a quick list of the App IDs and names for all shortcuts you have. If you want more info, use the `--verbose` flag.